org.apache.maven.scm.command.export

## Class ExportScmResultWithRevision

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.export.ExportScmResult
    - - org.apache.maven.scm.command.export.ExportScmResultWithRevision

All Implemented Interfaces:
  Serializable

    public class ExportScmResultWithRevision
    extends ExportScmResult

Version:
  $Id: ExportScmResultWithRevision.java 520441 2007-03-20 15:48:14Z evenisse $
Author:
  Emmanuel Venisse
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ExportScmResultWithRevision(String commandLine, List exportedFiles, String revision)`
`ExportScmResultWithRevision(String commandLine, String providerMessage, String commandOutput, String revision, boolean success)`

### Method Summary

Methods
`String` `getRevision()`

### Methods inherited from class org.apache.maven.scm.command.export.ExportScmResult

`getExportedFiles`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExportScmResultWithRevision

    public ExportScmResultWithRevision(String commandLine,
                               String providerMessage,
                               String commandOutput,
                               String revision,
                               boolean success)

#### ExportScmResultWithRevision

    public ExportScmResultWithRevision(String commandLine,
                               List exportedFiles,
                               String revision)

### Method Detail

#### getRevision

    public String getRevision()